GROUPDEL(8)

NAME
groupdel - delete a group

SYNOPSIS

groupdel group

DESCRIPTION

The groupdel command modifies the system account files, deleting all entries that refer to group. The named group must exist.

You must manually check all file systems to insure that no files remain with the named group as the file group ID.

CAVEATS

You may not remove the primary group of any existing user. You must remove the user before you remove the group.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

EXIT VALUES

The groupdel command exits with the following values:

0   success

2   invalid command syntax

6   specified group doesn’t exist

8   can't remove user's primary group

10  can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8)